Create catalog fields
post
/catalogs/{catalog_name}/fields
Use this endpoint to create multiple fields in your catalog.
Troubleshooting
The following table lists possible returned errors and their associated troubleshooting steps.
| Error | Troubleshooting |
|---|---|
arbitrary-error |
An arbitrary error occurred. Please try again or contact Support. |
catalog-not-found |
Check that the catalog name is valid. |
company-size-limit-already-reached |
The catalog storage size limit is reached. |
request-includes-too-many-fields |
Each request can support up to 50 new fields. |
catalog-exceeds-fields-limit |
Catalog cannot have more than 500 fields. |
You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.
New Stuff!